Subject: Re: bug#54623: No scroll bars on macOS builds

From: Angelo Graziosi <[email-masked]>
Date: Tue, 29 Mar 2022 21:53:47 +0200 (CEST)

> Il 29/03/2022 14:44 Lars Ingebrigtsen ha scritto:
> 
>  
> Angelo Graziosi writes:
> 
> > Emacs builds on macOS 10.13.6 do not show scroll bars even if both
> > vertical and horizontal ones are enabled. The attached screenshot
> > refers to 'Emacs -Q'.
> 
> I can't reproduce this on Macos 12.1.

Which build? Nextstep (--with-ns) or Mac (--with-mac)?

Just for the record.. the Mac build (source from https://bitbucket.org/mituharu/emacs-mac/src/work, about March 14) DOES HAVE the scrollbars! It is 28.0.92 Mac-patched source.

The nextstep build (source from 28 branch, about March 27) DOES NOT HAVE the scroll bars.

I didn't test master because I don't know how to build using '--with-mac' (bitbucket repo does not seem to have master source Mac-patched).

(Trying to build the bitbucket source '--with-ns' fails...)